summaryrefslogtreecommitdiffhomepage
path: root/debian/dropbear.prerm
diff options
context:
space:
mode:
authorMatt Johnston <matt@ucc.asn.au>2004-08-12 16:41:58 +0000
committerMatt Johnston <matt@ucc.asn.au>2004-08-12 16:41:58 +0000
commit8e1ec24f55be1a9af2595a58bb4b805bebd7fa9d (patch)
tree0b54a905a49358adc37ce32e3e80239dd6ebd736 /debian/dropbear.prerm
parent538bc5a09e8a7aa6fdc7f38f0bac649efd6bd264 (diff)
Merging in the changes from 0.41-0.43 main Dropbear tree
--HG-- extra : convert_revision : 4c3428781bc8faf0fd7cadd7099fbd7f4ea386e7
Diffstat (limited to 'debian/dropbear.prerm')
-rw-r--r--debian/dropbear.prerm11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/dropbear.prerm b/debian/dropbear.prerm
new file mode 100644
index 0000000..89bb5b6
--- /dev/null
+++ b/debian/dropbear.prerm
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -u
+
+test "$1" = 'remove' || test "$1" = 'deconfigure' || exit 0
+if test -x /etc/init.d/dropbear; then
+ if test -x /usr/sbin/invoke-rc.d; then
+ invoke-rc.d dropbear stop
+ else
+ /etc/init.d/dropbear stop
+ fi
+fi